List Trusted Certificates

List Trusted Certificates
List All Trusted Certificates

Retrieves all user-imported trusted certificates from the HCX Manager's trust store. These certificates are used to establish trust with external systems (vCenter, NSX, VCD, etc.).

Request
URI
GET
https://{server}:9443/api/admin/certificates
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved list of trusted certificates

Returns CertificateRestResponse of type(s) application/json
{
    "success": true,
    "completed": true,
    "time": 1753094523000,
    "version": "1.0",
    "data": {
        "items": [
            {
                "subject": "CN=vcenter.example.com, OU=Engineering, O=VMware, L=Palo Alto, ST=California, C=US",
                "issuer": "CN=VMware CA, OU=Engineering, O=VMware, C=US",
                "thumbprint": "a1b2c3d4e5f6789012345678901234567890abcd",
                "notBefore": "2023-01-01T00:00:00Z",
                "notAfter": "2025-12-31T23:59:59Z",
                "alias": "vcenter-cert"
            }
        ]
    }
}
boolean
success
Required

Indicates if the operation was successful

boolean
completed
Required

Indicates if the operation completed

integer As int64 As int64
time
Required

Unix timestamp in milliseconds

string
version
Optional

API version

string
protocol
Optional

Protocol version

string
fingerprint
Optional

Response fingerprint

object
data
Optional

Response data containing items array

array of object
errors
Optional

Array of error objects

array of object
warnings
Optional

Array of warning objects


500

Internal server error

Returns CertificateRestResponse of type(s) application/json
{
    "success": false,
    "completed": true,
    "time": 1753094523000,
    "version": "1.0",
    "errors": [
        {
            "text": "Failed to load keystore"
        }
    ]
}
boolean
success
Required

Indicates if the operation was successful

boolean
completed
Required

Indicates if the operation completed

integer As int64 As int64
time
Required

Unix timestamp in milliseconds

string
version
Optional

API version

string
protocol
Optional

Protocol version

string
fingerprint
Optional

Response fingerprint

object
data
Optional

Response data containing items array

array of object
errors
Optional

Array of error objects

array of object
warnings
Optional

Array of warning objects


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/certificates